Index: /trunk/push-web
===================================================================
--- /trunk/push-web	(revision 335)
+++ /trunk/push-web	(revision 336)
@@ -51,7 +51,8 @@
 
 
-$KLASK exportdb > ${TMP}/hostname-db.txt
-$KLASK exportsw > ${TMP}/switch-db.txt
-$KLASK ip-free  > ${TMP}/ipfree-db.txt
+$KLASK exportdb    > ${TMP}/hostname-db.txt
+$KLASK exportsw    > ${TMP}/switch-db.txt
+$KLASK ip-free     > ${TMP}/ipfree-db.txt
+$KLASK bad-vlan-id > ${TMP}/badvlan-db.txt
 
 
@@ -77,5 +78,6 @@
 <h1>
 <b><a href="http://servforge.legi.grenoble-inp.fr/projects/klask">Klask</a></b>
-- Un outil pour <a href="switch-map.png">cartographier</a> (<a href="switch-map.svg">svg</a>) le r&eacute;seau [${LOCALTIME}] - site ${SITE_NAME}
+- A tool for <a href="switch-map.png">mapping</a> (<a href="switch-map.png">png</a>|<a href="switch-map.svg">svg</a>)
+the local network [${LOCALTIME}] - site ${SITE_NAME}
 </h1>
 
@@ -83,5 +85,5 @@
  <ul>
   <li id="selected"><a href="index.html">IP detected</a></li>
-  <li><a href="ip-free.html">IP free</a></li>
+  <li><a href="ip-free.html">IP available</a></li>
   <li><a href="bad-vlan-id.html">Bad VLAN ID</a></li>
  </ul>
@@ -90,9 +92,10 @@
 <div id="content">
 <p>
-Les r&eacute;sultats brut de Klask sont accessibles directement via wget ou curl, par exemple, pour un traitement sp&eacute;cifique :
-<a href="hostname-db.txt">Machines</a>,
-<a href="switch-db.txt">Commutateurs</a>,
-<a href="ipfree-db.txt">IP disponibles</a>,
-<a href="switch-map.txt">Carte</a>.
+The main raw results of Klask are accessible directly, via wget or curl for example, for a specific treatment:
+<a href="hostname-db.txt">Computers</a>,
+<a href="switch-db.txt">Switches</a>,
+<a href="ipfree-db.txt">IP available</a>,
+<a href="badvlan-db.txt">Bad VLAN ID</a>,
+<a href="switch-map.txt">Map</a>.
 </p>
 END
@@ -116,5 +119,6 @@
 <h1>
 <b><a href="http://servforge.legi.grenoble-inp.fr/projects/klask">Klask</a></b>
-- Un outil pour <a href="switch-map.png">cartographier</a> (<a href="switch-map.svg">svg</a>) le r&eacute;seau [${LOCALTIME}] - site ${SITE_NAME}
+- A tool for <a href="switch-map.png">mapping</a> (<a href="switch-map.png">png</a>|<a href="switch-map.svg">svg</a>)
+the local network [${LOCALTIME}] - site ${SITE_NAME}
 </h1>
 
@@ -122,5 +126,5 @@
  <ul>
   <li><a href="index.html">IP detected</a></li>
-  <li id="selected"><a href="ip-free.html">IP free</a></li>
+  <li id="selected"><a href="ip-free.html">IP available</a></li>
   <li><a href="bad-vlan-id.html">Bad VLAN ID</a></li>
  </ul>
@@ -129,9 +133,10 @@
 <div id="content">
 <p>
-Les r&eacute;sultats brut de Klask sont accessibles directement via wget ou curl, par exemple, pour un traitement sp&eacute;cifique :
-<a href="hostname-db.txt">Machines</a>,
-<a href="switch-db.txt">Commutateurs</a>,
-<a href="ipfree-db.txt">IP disponibles</a>,
-<a href="switch-map.txt">Carte</a>.
+The main raw results of Klask are accessible directly, via wget or curl for example, for a specific treatment:
+<a href="hostname-db.txt">Computers</a>,
+<a href="switch-db.txt">Switches</a>,
+<a href="ipfree-db.txt">IP available</a>,
+<a href="bad-vlan-id-db.txt">Bad VLAN ID</a>,
+<a href="switch-map.txt">Map</a>.
 </p>
 END
@@ -156,5 +161,6 @@
 <h1>
 <b><a href="http://servforge.legi.grenoble-inp.fr/projects/klask">Klask</a></b>
-- Un outil pour <a href="switch-map.png">cartographier</a> (<a href="switch-map.svg">svg</a>) le r&eacute;seau [${LOCALTIME}] - site ${SITE_NAME}
+- A tool for <a href="switch-map.png">mapping</a> (<a href="switch-map.png">png</a>|<a href="switch-map.svg">svg</a>)
+the local network [${LOCALTIME}] - site ${SITE_NAME}
 </h1>
 
@@ -162,5 +168,5 @@
  <ul>
   <li><a href="index.html">IP detected</a></li>
-  <li><a href="ip-free.html">IP free</a></li>
+  <li><a href="ip-free.html">IP available</a></li>
   <li id="selected"><a href="bad-vlan-id.html">Bad VLAN ID</a></li>
  </ul>
@@ -169,9 +175,10 @@
 <div id="content">
 <p>
-Les r&eacute;sultats brut de Klask sont accessibles directement via wget ou curl, par exemple, pour un traitement sp&eacute;cifique :
-<a href="hostname-db.txt">Machines</a>,
-<a href="switch-db.txt">Commutateurs</a>,
-<a href="ipfree-db.txt">IP disponibles</a>,
-<a href="switch-map.txt">Carte</a>.
+The main raw results of Klask are accessible directly, via wget or curl for example, for a specific treatment:
+<a href="hostname-db.txt">Computers</a>,
+<a href="switch-db.txt">Switches</a>,
+<a href="ipfree-db.txt">IP available</a>,
+<a href="bad-vlan-id-db.txt">Bad VLAN ID</a>,
+<a href="switch-map.txt">Map</a>.
 </p>
 END