Index: /trunk/ddt/ddt
===================================================================
--- /trunk/ddt/ddt	(revision 345)
+++ /trunk/ddt/ddt	(revision 346)
@@ -21,5 +21,5 @@
 use strict;
 #use warnings;
-use version; our $VERSION = version->declare('0.11.0');
+use version; our $VERSION = version->declare('0.11.1');
 
 use Getopt::Long qw(GetOptions);
@@ -544,5 +544,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'alias|a=s'       => \$alias,
       );
@@ -568,5 +568,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -596,5 +596,5 @@
    GetOptions(
       'pool|p=s'        => \$pool,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'mac|m=s'         => \$mac,
       'comment|c=s'     => \$comment,
@@ -622,5 +622,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -651,5 +651,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       'comment|c=s'     => \$comment,
@@ -841,5 +841,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -867,5 +867,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       );
@@ -890,5 +890,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       );
@@ -912,5 +912,5 @@
 
    GetOptions(
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'mac|m=s'         => \$mac,
       'comment|c=s'     => \$comment,
@@ -957,5 +957,5 @@
 
    GetOptions(
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -1014,5 +1014,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -1334,5 +1334,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       );
@@ -1361,5 +1361,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       );
@@ -1533,5 +1533,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       );
@@ -1582,5 +1582,5 @@
 
    GetOptions(
-      'sector|d=s'      => \$sector,
+      'sector|s|d=s'      => \$sector,
       'dns-extension|e=s'  => \$dns_extension,
       'comment|c=s'        => \$comment,
@@ -1631,5 +1631,5 @@
    GetOptions(
       'pool|p=s'           => \$pool,
-      'sector|d=s'      => \$sector,
+      'sector|s|d=s'      => \$sector,
       'file-pool|f=s'      => \$file_pool,
       'ipaddress-pool|i=s' => \$ipaddress_pool,
@@ -1834,5 +1834,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       'bootp|b=s'       => \$pxe_config,
@@ -1914,5 +1914,5 @@
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'ip|i=s'          => \$ip,
       );
@@ -2857,5 +2857,5 @@
 
    GetOptions(
-      'sector|d=s'   => \$sector,
+      'sector|s|d=s'    => \$sector,
       'filename|f=s'    => \$input_file,
       'kind|k=s'        => \$type_file,
Index: /trunk/ddt/ddt.bash_completion
===================================================================
--- /trunk/ddt/ddt.bash_completion	(revision 345)
+++ /trunk/ddt/ddt.bash_completion	(revision 346)
@@ -16,5 +16,5 @@
          return 0
          ;;
-      -s|--sector)
+      -d|-s|--sector)
          local showlist=$(ddt show-sector --no-header|awk '{print $1}')
          COMPREPLY=($(compgen -W "${showlist}" -- "$cur"))