Index: /trunk/ddt/ddt
===================================================================
--- /trunk/ddt/ddt	(revision 347)
+++ /trunk/ddt/ddt	(revision 348)
@@ -21,5 +21,5 @@
 use strict;
 #use warnings;
-use version; our $VERSION = version->declare('0.11.2');
+use version; our $VERSION = version->declare('0.11.3');
 
 use Getopt::Long qw(GetOptions);
@@ -473,5 +473,5 @@
 #Nom: add_dhcp
 #Description: section à corriger pour prendre en compte l'ajout d'une machine dans un pool dhcp
-#--- usage: ddt add_dhcp -d legi-sector03 -h meolpacif -m 00:18:F3:03:6F:66 -i 194.254.66.165
+#--- usage: ddt add-dhcp -s legi-sector03 -h meolpacif -m 00:18:F3:03:6F:66 -i 194.254.66.165
 
 sub add_dhcp {
@@ -505,5 +505,5 @@
 
 #-------------------------------------------------------------------------------
-#--- usage: ddt add_float -d legi-sector03 -h meolpacif -m 00:18:F3:03:6F:66 -i 194.254.66.165
+#--- usage: ddt add-float -s legi-sector03 -h meolpacif -m 00:18:F3:03:6F:66 -i 194.254.66.165
 
 sub add_float {
@@ -700,6 +700,6 @@
 #Description: change la mac adresse d'une machine en saisissant soit l'ip
 #             soit le nom de la mahcine et spécifiant le domaine
-#--- usage: ddt change_mac -d legi-sector03 -h meolpacif -m 00:18:F3:03:6F:66
-#--- usage: ddt change_mac -d legi-sector03 -i 194.254.66.187 -m 00:18:F3:03:6F:66
+#--- usage: ddt change-mac -s legi-sector03 -h meolpacif -m 00:18:F3:03:6F:66
+#--- usage: ddt change-mac -s legi-sector03 -i 194.254.66.187 -m 00:18:F3:03:6F:66
 
 sub change_mac {
@@ -2896,5 +2896,5 @@
    if ($command eq 'add-dhcp') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
+      print " -s : sector attachment (mandatory). Example: -s legi-sector03\n";
       print " -h : computer hostname (mandatory if option -i != 'pool'). Example: -h info8pc154\n";
       print " -m : physical MAC address (mandatory). Example: -m 0F:58:AB:2A\n";
@@ -2903,21 +2903,20 @@
       print " -c : comment (mandatory). Example: 2014-04-07 DELL Laptop 6400 - Olivier Toto (INFO)\n";
       print "Example:\n";
-      print " ddt add_dhcp -h most1mc130 -d legi-661 -i 194.254.66.130 -m 00:17:F2:D3:2B:FF -c '2008-07-03 Mac Book Guillaume Balleyrac (MOST)\n";
-      print " ddt add_dhcp -p pool-stagiaire -i pool -d hmg.priv -m 02:00:54:55:4E:01 -c '2008-09-02 Portable Perso - Laanaia Nabil - Achim Wirth (MEIGE)\n";
+      print " ddt add-dhcp -h most1mc130 -s legi-sector03 -i 194.254.66.130 -m 00:17:F2:D3:2B:FF -c '2008-07-03 Mac Book Guillaume Balleyrac (MOST)\n";
       }
 
    elsif ($command eq 'add-float') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory)\n";
+      print " -s : sector attachment (mandatory)\n";
       print " -p : name of the DHCP pool to which the machine belongs (mandatory)\n";
       print " -m : physical MAC address (mandatory)\n";
       print " -c : comment (mandatory). Example: 2014-04-07 DELL Laptop 6400 - Olivier Toto (INFO)\n";
       print "Example:\n";
-      print " ddt add_float -p pool-stagiaire -d hmg.priv -i 192.168.10.1 -m 00:AB:1B:CC:AA:2F -c '2013-09-25 Dell OptiPlex 745 - Eric Goncalves (NRJ)\n";
+      print " ddt add-float -p pool-stagiaire -s legi-pool -i 192.168.10.1 -m 00:AB:1B:CC:AA:2F -c '2013-09-25 Dell OptiPlex 745 - Eric Goncalves (NRJ)\n";
       }
 
    elsif ($command eq 'add-static') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory)\n";
+      print " -s : sector attachment (mandatory)\n";
       print " -i : internet IP address (mandatory)\n";
       print " -h : computer hostname (mandatory)\n";
@@ -2925,20 +2924,20 @@
       print " -c : comment (mandatory). Example: 2014-04-07 DELL Laptop 6400 - Olivier Toto (INFO)\n";
       print "Example:\n";
-      print " ddt add_static -h legipc1 -d hmg.priv -i 192.168.10.1 -m 00:AB:1B:CC:AA:2F -c '2013-09-25 Dell OptiPlex 745 - Eric Goncalves (NRJ)\n";
+      print " ddt add-static -h legipc1 -s legi-sector03 -i 192.168.10.1 -m 00:AB:1B:CC:AA:2F -c '2013-09-25 Dell OptiPlex 745 - Eric Goncalves (NRJ)\n";
       }
 
    elsif ($command eq 'add-virtual') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory)\n";
+      print " -s : sector attachment (mandatory)\n";
       print " -i : internet IP address (mandatory)\n";
       print " -h : computer hostname (mandatory)\n";
       print " -c : comment (mandatory). Example: 2014-04-07 DELL Laptop 6400 - Olivier Toto (INFO)\n";
       print "Example:\n";
-      print " ddt add_virtual -h legipc1 -d legi-211 -i 192.168.10.1 -c '2013-09-25 Dell OptiPlex 745 - Eric Goncalves (NRJ)\n";
+      print " ddt add-virtual -h legipc1 -s legi-sector03 -i 192.168.10.1 -c '2013-09-25 Dell OptiPlex 745 - Eric Goncalves (NRJ)\n";
       }
 
    elsif ($command eq 'add-alias') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory)\n";
+      print " -s : sector attachment (mandatory)\n";
       print " -h : computer hostname (mandatory)\n";
       print " -a : computer alias name (mandatory)\n";
@@ -2947,9 +2946,9 @@
    elsif ($command eq 'create-sector') {
       print "List of options for command: $command\n";
-      print " -d : new sector (mandatory)\n";
+      print " -s : new sector (mandatory)\n";
       print " -e : DNS domain name extension( mandatory). Example legi.grenoble-inp.fr\n";
       print " -c : comment (mandatory). Example: 2016-08-22 VLAN legi-261 (INFO)\n";
       print "Examples:\n";
-      print " ddt create_sector -d legi-264 -e legi.grenoble-inp.fr -c '2016-08-22 VLAN legi-261 (INFO)'\n";
+      print " ddt create-sector -s legi-sector03 -e legi.grenoble-inp.fr -c '2016-08-22 VLAN legi-261 (INFO)'\n";
       }
 
@@ -2957,10 +2956,10 @@
       print "List of options for command: $command\n";
       print " -p : name of the DHCP pool. Example: pool-legi-priv\n";
-      print " -d : sector attachment for the pool. (sector attachment must exist in file $COMPUTER_BASENAME.conf). Example: legi.grenoble-inp.fr\n";
+      print " -s : sector attachment for the pool. (sector attachment must exist in file $COMPUTER_BASENAME.conf). Example: legi-sector03\n";
       print " -f : configuration filename on the DHCP server for the pool\n";
       print " -i : adresse(s) IP ou plage d'IP. Séparateur d'adresses IP: ','. Séparateur de plage '-'\n";
       print "Examples:\n";
-      print " ddt -p pool-hmg -d hmg.priv -f pool.hmg.priv -i 192.168.10.1,192.168.10.2,192.168.10.3\n";
-      print " ddt -p turbocavit -d legi-sector03 -f pool-legi-public -i 192.168.10.1-192.168.10.4\n";
+      print " ddt create-pool -p legi-pool1 -s legi-sector03 -f legi-pool-private -i 192.168.10.1,192.168.10.2,192.168.10.3\n";
+      print " ddt create-pool -p legi-pool2 -s legi-sector03 -f legi-pool-public  -i 192.168.10.1-192.168.10.4\n";
       }
 
@@ -2982,5 +2981,5 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : sector attachment (mandatory if option -h)\n";
+      print " -s : sector attachment (mandatory if option -h)\n";
       print " -b : name of the PXE/BOOTP configuration. Example: most\n";
       }
@@ -2990,5 +2989,5 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : sector attachment (mandatory if option -h)\n";
+      print " -s : sector attachment (mandatory if option -h)\n";
       }
 
@@ -3007,5 +3006,5 @@
    elsif ($command eq 'change-mac') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
+      print " -s : sector attachment (mandatory). Example: -s legi-sector03\n";
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h). Possible value: classical IP address or the keyword 'pool'\n";
@@ -3015,5 +3014,5 @@
    elsif ($command eq 'change-ip') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
+      print " -s : sector attachment (mandatory). Example: -s legi-sector03\n";
       print " -h : computer hostname (mandatory)\n";
       print " -i : new internet IP address (mandatory). Possible value: classical IP address\n";
@@ -3022,5 +3021,5 @@
    elsif ($command eq 'change-host') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
+      print " -s : sector attachment (mandatory). Example: -s legi-sector03\n";
       print " -i : internet IP address (mandatory). Possible value: classical IP address\n";
       print " -h : new computer hostname (mandatory)\n";
@@ -3030,5 +3029,5 @@
    elsif ($command eq 'change-comment') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
+      print " -s : sector attachment (mandatory). Example: -s legi-sector03\n";
       print " -m : physical MAC address (mandatory). Example: -m 0F:58:AB:2A:22:11\n";
       print " -c : new comment (mandatory)\n";
@@ -3037,5 +3036,5 @@
    elsif ($command eq 'change-sector') {
       print "List of options for command: $command\n";
-      print " -d : new sector attachment (mandatory). Example: -d legi-661\n";
+      print " -s : new sector attachment (mandatory). Example: -s legi-sector03\n";
       print " -m : physical MAC address (mandatory). Example: -m 0F:58:AB:2A:22:11\n";
       print " -i : internet IP address (mandatory)\n";
@@ -3045,5 +3044,5 @@
       print "List of options for command: $command\n";
       print " -h : computer hostname (mandatory unless option -i or -m)\n";
-      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
+      print " -s : sector attachment (mandatory). Example: -s legi-sector03\n";
       print " -i : internet IP address (mandatory unless option -h or -m)\n";
       print " -m : physical MAC address (mandatory unless option -h or -i, priority). Example: -m 0F:58:AB:2A:22:11\n";
@@ -3053,5 +3052,5 @@
    elsif ($command eq 'load-database') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment\n";
+      print " -s : sector attachment\n";
       print " -f : input file in DHCP format\n";
       print " -k : possible cases (kind): dhcp, pool-dhcp, fix-address\n";
@@ -3062,8 +3061,8 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : sector attachment (mandatory if option -h)\n";
+      print " -s : sector attachment (mandatory if option -h)\n";
       print "Examples:\n";
-      print " ddt enable_pc -i 192.168.10.1\n";
-      print " ddt enable_pc -d hmg.priv -h kevinpc\n";
+      print " ddt enable-pc -i 192.168.10.1\n";
+      print " ddt enable-pc -s legi-sector03 -h kevinpc\n";
       }
 
@@ -3084,13 +3083,13 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : sector attachment (mandatory if option -h)\n";
+      print " -s : sector attachment (mandatory if option -h)\n";
       print "Examples:\n";
-      print " ddt disable_pc -i 192.168.10.1\n";
-      print " ddt disable_pc -d hmg.priv -h kevinpc\n";
+      print " ddt disable-pc -i 192.168.10.1\n";
+      print " ddt disable-pc -s legi-sector03 -h kevinpc\n";
       }
 
    elsif ($command eq 'del-pc') {
       print "List of options for command: $command\n";
-      print " -d : sector attachment (mandatory)\n";
+      print " -s : sector attachment (mandatory)\n";
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";